<?php 
include("header.php"); // memanggil file header.php
include("koneksi.php"); // memanggil file koneksi.php untuk koneksi ke database
?>
	<div class="container">
		<div class="content">
			<?php $nim = $_POST['carinim']; // mengambil nim dari form cari ?> 
			<h2>Pencarian Data Siswa &raquo; Nama: <?php echo $nim; // menampilkan nim ?></h2>
			<hr />
			
			<?php
			if(isset($_GET['aksi']) == 'delete'){ // mengkonfirmasi jika 'aksi' bernilai 'delete' merujuk pada baris 97 dibawah
				$nipd = $_GET['nipd']; // ambil nilai id_peminat
				$cek = mysqli_query($koneksi, "SELECT * FROM kta WHERE nipd='$nipd'"); // query untuk memilih entri dengan id_peminat yang dipilih
				if(mysqli_num_rows($cek) == 0){ // mengecek jika tidak ada entri id_peminat yang dipilih
					echo '<div class="alert alert-info alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Data tidak ditemukan.</div>'; // maka tampilkan 'Data tidak ditemukan.'
				}else{ // mengecek jika terdapat entri id_peminat yang dipilih
					$delete = mysqli_query($koneksi, "DELETE FROM kta WHERE nipd='$nipd'"); // query untuk menghapus
					if($delete){ // jika query delete berhasil dieksekusi
						echo '<div class="alert alert-primary alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Data berhasil dihapus.</div>'; // maka tampilkan 'Data berhasil dihapus.'
					}else{ // jika query delete gagal dieksekusi
						echo '<div class="alert alert-danger alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> Data gagal dihapus.</div>'; // maka tampilkan 'Data gagal dihapus.'
					}
				}
			}
			?>
			
			
			<!-- bagian ini digunakan untuk menampilkan data mahapeminatan hasil pencarian-->
			<table class="table table-striped table-condensed">
				<tr>
						<th>No</th>
						<th>NIPD</th>
						<th>Komp. Keahlian</th>
						<th>NAMA</th>
						<th>TEMPAT LAHIR</th>
						<th>TGL LAHIR</th>
						<th>ALAMAT</th>
						
					</tr>
				<?php
					$sql = mysqli_query($koneksi, "SELECT * FROM kta WHERE nama like '%".$nim."%' ORDER BY nama ASC"); // query jika filter dipilih
					if(mysqli_num_rows($sql) == 0){ 
						echo '<tr><td colspan="14">Data Tidak Ada.</td></tr>'; // jika tidak ada entri di database maka tampilkan 'Data Tidak Ada.'
					}else{ // jika terdapat entri maka tampilkan datanya
						$no = 1; // mewakili data dari nomor 1
						while($row = mysqli_fetch_assoc($sql)){ // fetch query yang sesuai ke dalam array
							echo '
							<tr>
								<td>'.$no.'</td>
								<td>'.$row['nipd'].'</td>
								<td>'.$row['komp_keahlian'].'</td>
								<td><a href="edit.php?nipd='.$row['nipd'].'">'.$row['nama'].'</a></td>
								<td>'.$row['tempat'].'</td>
								<td>'.$row['tgl'].'</td>
								<td>'.$row['alamat'].'</td>
							</tr>
							';
							$no++; // mewakili data kedua dan seterusnya <a href="password.php?id_peminat='.$row['id_peminat'].'" title="Ganti Password" data-toggle="tooltip" class="btn btn-warning btn-sm"><span class="glyphicon glyphicon-refresh" aria-hidden="true"></span></a>
						}
					}
					?>
			</table>
			
			<a href="data.php" class="btn btn-sm btn-info"><span class="glyphicon glyphicon-arrow-left" aria-hidden="true"></span> Kembali</a>
			
		</div> <!-- /.content -->
	</div> <!-- /.container -->
<?php 
include("footer.php"); // memanggil file footer.php
?>